/** Shopify CDN: Minification failed

Line 51:10 Expected identifier but found whitespace
Line 51:12 Unexpected "{"
Line 51:21 Expected ":"
Line 59:10 Expected identifier but found whitespace
Line 59:12 Unexpected "{"
Line 59:21 Expected ":"
Line 75:16 Expected identifier but found whitespace
Line 75:18 Unexpected "{"
Line 75:27 Expected ":"
Line 75:58 Expected ":"

**/
  .Nobl-cst-marq-wrapper {
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    position: relative;
  }
  
  .Nobl-cst-marq-container {
    width: 100%;
    overflow: hidden;
  }
  
  .Nobl-cst-marq-track {
    display: flex;
    width: fit-content;
    animation: Nobl-cst-marq-scroll linear infinite;
    will-change: transform;
  }
  
  .Nobl-cst-marq-content {
    display: flex;
    align-items: center;
    white-space: nowrap;
    flex-shrink: 0;
  }
  
  .Nobl-cst-marq-text {
        display: inline-block;
    padding: 0 6px;
    color: #fff;
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-size: 16.38px;
    line-height: 100%;
    letter-spacing: 0;
    text-transform: uppercase;
    color: {{ section.settings.text_color | default: '#000000' }};
  
  }
  
  .Nobl-cst-marq-separator {
    display: inline-block;
    padding: 0 10px;
    font-size: 1.2em;
    color: {{ section.settings.text_color | default: '#000000' }};
    opacity: 0.5;
  }
  
  @keyframes Nobl-cst-marq-scroll {
    0% {
      transform: translateX(0);
    }
    100% {
      transform: translateX(-50%);
    }
  }
  
  /* Mobile Styles */
  @media (max-width: 768px) {
    .Nobl-cst-marq-track {
      font-size: {{ section.settings.font_size_mobile }}px !important;
    }
    
    .Nobl-cst-marq-text {
      padding: 11px 2px;
      font-size: 14px;
    }
    
    .Nobl-cst-marq-separator {
      padding: 0 15px;
    }
  }